Name:           leatherman
Version:        0.10.2
Release:        1%{?dist}
Summary:        A collection of C++ and CMake utility libraries

License:        ASL 2.0
URL:            https://github.com/puppetlabs/leatherman
Source0:        https://github.com/puppetlabs/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

%if 0%{?fedora}
BuildRequires:  boost-devel
BuildRequires:  cmake
%else
BuildRequires:  boost159-devel
BuildRequires:  cmake3
%endif
BuildRequires:  curl-devel
BuildRequires:  gettext


%description
A collection of C++ and CMake utility libraries

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake3

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup


%build
%if 0%{?fedora}
  %cmake -DLEATHERMAN_SHARED=ON
%else
  %cmake3 -DBOOST_INCLUDEDIR=/usr/include/boost159 \
          -DBOOST_LIBRARYDIR=%{_libdir}/boost159 \
          -DLEATHERMAN_SHARED=ON
%endif


%install
%make_install
%if !0%{?fedora}
mkdir -p %{buildroot}%{_libdir}/cmake3
mv %{buildroot}%{_libdir}/cmake/%{name} %{buildroot}%{_libdir}/cmake3/%{name}
%endif
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang %{name}_logging
%find_lang %{name}_locale



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}_logging.lang  -f %{name}_locale.lang
%license LICENSE
#%doc add-main-docs-here
%{_libdir}/*.so.*

%files devel
#%doc add-devel-docs-here
%{_includedir}/*
%{_libdir}/*.so
%if 0%{?fedora}
%{_libdir}/cmake/%{name}
%else
%{_libdir}/cmake3/%{name}
%endif


%changelog
* Sat Feb  4 2017 Haïkel Guémar <hguemar@fedoraproject.org> - 0.10.2-1
- Upstream 0.10.2
- Add Fedora support

* Thu Oct 27 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 0.9.2-1
- Initial package on EL7

